Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class SQLGeneration_Helper

    java.lang.Object
      oracle.ifs.server.SQLGeneration_Helper

    public final class SQLGeneration_Helper

extends java.lang.Object

The `SQLGeneration_Helper` class encapsulates functions needed to generate SQL statements, by the Search Classes.

See Also:
  `SearchSpecification`, `SearchQualification`, `Search`, `SQLGenerator`
(Unpublished)

Method Summary
`boolean` | `applySecurity()` Returns true if user doesn't have discover admin privileges.
`static SQLGeneration_Helper` | `constructHelper(S_LibrarySession sess)`
`java.lang.String` | `convertToSQLString(AttributeValue av)`
`java.lang.String` | `convertToString(AttributeValue av)`
`void` | `createView(java.lang.String viewName, java.lang.String selectStatement, boolean replace)`
`protected static void` | `disposeHelper(S_LibrarySession session)` Disposes any previously-constructed SQLGeneration_Helper for the specified session.
`java.lang.String` | `explainPlan(java.sql.PreparedStatement planStatement, java.lang.String planTable, java.lang.String planName, boolean deleteRows)`
`S_ClassObjectData` | `getClassData(java.lang.Long classId)`
`S_ClassObjectData` | `getClassData(java.lang.String className)`
`java.lang.String` | `getClassViewName(java.lang.String className)` Returns the view name for the specified ClassObject.
`java.lang.Long` | `getCurrentUser()`
`java.lang.String` | `getDatabaseObjectName(java.lang.String className, java.lang.String attrName)` Returns the databaseobjectname for the class and attribute.
`long[]` | `getDateRangeValues(java.util.Date dateval, int compLevel)` get low and high long value corresponding to a date value and a comparison level.
`java.lang.String` | `getFrqClause(long startFolderId, java.lang.String poAlias, java.lang.String relView)` gets the SQL clause for a FolderRestrictQualification.
`Localizer` | `getLocalizer()` return the Localizer for the session.
`java.lang.Long` | `getPropertyAttributeId(int dataType)`
`java.lang.String` | `getPropertyAttributeName(int dataType)`
`java.lang.String` | `getRecursiveClause(java.lang.String vName, java.lang.String className, boolean isRecursive)`
`java.lang.String` | `getSecurityClause(java.lang.Long classId, java.lang.String ownerValue)`
`java.lang.String` | `getSecurityClause(java.lang.String className, java.lang.String ownerValue)`
`java.lang.String` | `getSecurityClause(java.lang.String vName, java.lang.String className, java.lang.String ownerValue)`
`java.lang.String` | `getSelectList(java.lang.Long classId, java.lang.String tName, boolean qualifyColumns)`
`java.lang.String` | `getSelectList(java.lang.String className, java.lang.String tName, boolean qualifyColumns)`
`S_LibrarySession` | `getSession()` Get the session used by this instance.
`java.lang.String` | `getTableName(java.lang.String className)` Returns the tablename for the class
`java.lang.String` | `getViewName(java.lang.Long classId)`
`java.lang.String` | `getViewName(java.lang.String className)` Returns the approriate view to be used.
`boolean` | `hasFolderIndexService()` returns true if the service has a FolderIndexService
`boolean` | `isLykeEnabled()` Gets whether there is a ctxsubstr ("LYKE") index on the NAME attribute of PublicObject.
`boolean` | `isPublicClass(java.lang.Long classId)`
`boolean` | `isPublicClass(java.lang.String className)`
`void` | `verifyHasLegalSyntax(java.lang.String freeFormSQL)` Wrapper for m_Session.verifyHasLegalSyntax
`void` | `verifyHasSearchAccess(java.lang.String classname)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### constructHelper

    public static SQLGeneration_Helper constructHelper(S_LibrarySession sess)

### disposeHelper

    protected static void disposeHelper(S_LibrarySession session)

  Description copied from class: `SQLGeneration_Helper`
  Disposes any previously-constructed SQLGeneration_Helper for the specified session.

  Parameters:
    `session` - the session
  (Unpublished)

### getSession

    public S_LibrarySession getSession()
                                throws IfsException

  Description copied from class: `SQLGeneration_Helper`
  Get the session used by this instance.

  Returns:
    the session
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### getLocalizer

    public Localizer getLocalizer()
                           throws IfsException

  Description copied from class: `SQLGeneration_Helper`
  return the Localizer for the session.

  Returns:
    the Localizer
  Throws:
    `IfsException` - if operation fails

### isLykeEnabled

    public boolean isLykeEnabled()
                          throws IfsException

  Description copied from class: `SQLGeneration_Helper`
  Gets whether there is a ctxsubstr ("LYKE") index on the NAME attribute of PublicObject.

  Returns:
    whether there is a LYKE index
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getViewName

    public java.lang.String getViewName(java.lang.String className)
                                 throws IfsException

  Description copied from class: `SQLGeneration_Helper`
  Returns the approriate view to be used. For PublicObject and its subclasses, it returns the SecureView, for all other classes it returns the Normal View.

  Throws:
    `IfsException`

### getViewName

    public java.lang.String getViewName(java.lang.Long classId)
                                 throws IfsException

  Throws:
    `IfsException`

### getClassData

    public S_ClassObjectData getClassData(java.lang.String className)
                                   throws IfsException

  Throws:
    `IfsException`

### getClassData

    public S_ClassObjectData getClassData(java.lang.Long classId)
                                   throws IfsException

  Throws:
    `IfsException`

### isPublicClass

    public boolean isPublicClass(java.lang.String className)
                          throws IfsException

  Throws:
    `IfsException`

### isPublicClass

    public boolean isPublicClass(java.lang.Long classId)
                          throws IfsException

  Throws:
    `IfsException`

### getSelectList

    public java.lang.String getSelectList(java.lang.String className,
                                          java.lang.String tName,
                                          boolean qualifyColumns)
                                   throws IfsException

  Throws:
    `IfsException`

### getSelectList

    public java.lang.String getSelectList(java.lang.Long classId,
                                          java.lang.String tName,
                                          boolean qualifyColumns)
                                   throws IfsException

  Throws:
    `IfsException`

### getSecurityClause

    public java.lang.String getSecurityClause(java.lang.String className,
                                              java.lang.String ownerValue)
                                       throws IfsException

  Throws:
    `IfsException`

### getSecurityClause

    public java.lang.String getSecurityClause(java.lang.String vName,
                                              java.lang.String className,
                                              java.lang.String ownerValue)
                                       throws IfsException

  Throws:
    `IfsException`

### getSecurityClause

    public java.lang.String getSecurityClause(java.lang.Long classId,
                                              java.lang.String ownerValue)
                                       throws IfsException

  Throws:
    `IfsException`

### getRecursiveClause

    public java.lang.String getRecursiveClause(java.lang.String vName,
                                               java.lang.String className,
                                               boolean isRecursive)
                                        throws IfsException

  Throws:
    `IfsException`

### getTableName

    public java.lang.String getTableName(java.lang.String className)
                                  throws IfsException

  Description copied from class: `SQLGeneration_Helper`
  Returns the tablename for the class

  Throws:
    `IfsException`

### createView

    public void createView(java.lang.String viewName,
                           java.lang.String selectStatement,
                           boolean replace)
                    throws IfsException

  Throws:
    `IfsException`

### getPropertyAttributeName

    public java.lang.String getPropertyAttributeName(int dataType)
                                              throws IfsException

  Throws:
    `IfsException`

### getPropertyAttributeId

    public java.lang.Long getPropertyAttributeId(int dataType)
                                          throws IfsException

  Throws:
    `IfsException`

### convertToString

    public java.lang.String convertToString(AttributeValue av)
                                     throws IfsException

  Throws:
    `IfsException`

### convertToSQLString

    public java.lang.String convertToSQLString(AttributeValue av)
                                        throws IfsException

  Throws:
    `IfsException`

### getDatabaseObjectName

    public java.lang.String getDatabaseObjectName(java.lang.String className,
                                                  java.lang.String attrName)
                                           throws IfsException

  Description copied from class: `SQLGeneration_Helper`
  Returns the databaseobjectname for the class and attribute. This method throws IfsExceptions if the requested class or attribute do not exist.

  Throws:
    `IfsException`

### getClassViewName

    public java.lang.String getClassViewName(java.lang.String className)
                                      throws IfsException

  Description copied from class: `SQLGeneration_Helper`
  Returns the view name for the specified ClassObject.

  Parameters:
    `className` - the name of the class
  Returns:
    the view name
  Throws:
    `IfsException` - if the operation fails

### applySecurity

    public boolean applySecurity()
                          throws IfsException

  Description copied from class: `SQLGeneration_Helper`
  Returns true if user doesn't have discover admin privileges.

  Throws:
    `IfsException`

### verifyHasSearchAccess

    public void verifyHasSearchAccess(java.lang.String classname)
                               throws IfsException

  Throws:
    `IfsException`

### explainPlan

    public java.lang.String explainPlan(java.sql.PreparedStatement planStatement,
                                        java.lang.String planTable,
                                        java.lang.String planName,
                                        boolean deleteRows)
                                 throws IfsException

  Throws:
    `IfsException`

### getCurrentUser

    public java.lang.Long getCurrentUser()
                                  throws IfsException

  Throws:
    `IfsException`

### verifyHasLegalSyntax

    public void verifyHasLegalSyntax(java.lang.String freeFormSQL)
                              throws IfsException

  Description copied from class: `SQLGeneration_Helper`
  Wrapper for m_Session.verifyHasLegalSyntax

  Throws:
    `IfsException`
  (Unpublished)

### getDateRangeValues

    public long[] getDateRangeValues(java.util.Date dateval,
                                     int compLevel)
                              throws IfsException

  Description copied from class: `SQLGeneration_Helper`
  get low and high long value corresponding to a date value and a comparison level. For example, if the date contains a value of '18-apr-96 17:30:50' and a comparison level of MONTH is specified, then the range returned is '01-apr-96 00:00:00.0' and '30-apr-96 23:59:59.999'

  Parameters:
    `dateval` - the data value
    `compLevel` - the Date comparison level
  Returns:
    the low and high Date values converted to longs
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### hasFolderIndexService

    public boolean hasFolderIndexService()
                                  throws IfsException

  Description copied from class: `SQLGeneration_Helper`
  returns true if the service has a FolderIndexService

  Returns:
    true if the service has a FolderIndexService
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### getFrqClause

    public java.lang.String getFrqClause(long startFolderId,
                                         java.lang.String poAlias,
                                         java.lang.String relView)
                                  throws IfsException

  Description copied from class: `SQLGeneration_Helper`
  gets the SQL clause for a FolderRestrictQualification. Returns null if there is no Folder Index service registered.

  Parameters:
    `startFolderId` - the starting folder ID
    `poAlias` - the alias used for the PublicObjects
    `relView` - the folder path relationship view name
  Returns:
    the SQL clause for the FRQ
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD